from OdenGraphQt import BaseNode
from OdenGraphQt.constants import NodePropWidgetEnum
from OdenGraphQt.widgets.node_widgets import NodeLineEditValidatorCheckBox

class CheckboxNode(BaseNode):

    # set a unique node identifier.
    __identifier__ = 'bunny-lab.io.flyff_low_health_alert_node'

    # set the initial default node name.
    NODE_NAME = 'Flyff - Low Health Alert'

    def __init__(self):
        super(CheckboxNode, self).__init__()

        # Create checkboxes to decide which kind of alert(s) to utilize.
        self.add_checkbox('cb_1', '', 'Sound Alert', True)
        self.add_checkbox('cb_2', '', 'Visual Alert', True)

        # Create Input Port
        self.add_input('Toggle (1 = On | 0 = Off)', color=(200, 100, 0))
        #self.add_output('out', color=(0, 100, 200))